import importlib
import inspect
import os

from lrs_exec.executor_factory import ExecutorFactory
from lrs_exec.expand_node import ExpandNode

def get_executor_factory_class_objects(gbs, extra_class=None):
    # print("get_executor_factory_class_objects:", globals())
    factory_classes = []
    for name, obj in gbs.items():
        for cname, cobj in inspect.getmembers(obj):
            #print("CNAME:", cobj)
            try:
                # node_name = cobj.get_node_type_name()
                print("FACTORY:", cobj, cobj.__bases__)
                if ExecutorFactory in cobj.__bases__ or ExpandNode in cobj.__bases__ or extra_class in cobj.__bases__:
                    print("FACTORY:", cobj, cobj.__bases__)
                    factory_classes.append(cobj)
            except Exception as exc:
                #print(f"{name} get_node_type_name", type(exc))
                #print(exc)
                pass
    return factory_classes
